package com.artfess.yhxt.contract.vo;

import com.artfess.yhxt.contract.model.BillOfQuantities;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhx
 * @create 2022/3/30
 */
@Data
public class BillOfQuantitiesVo extends BillOfQuantities {
    @ApiModelProperty(value = "工单号")
    private String jobNumber;
    @ApiModelProperty(value = "位置")
    private String position;

    public  BillOfQuantitiesVo getVo(BillOfQuantities bill){
        BillOfQuantitiesVo billOfQuantitiesVo = new BillOfQuantitiesVo();
        billOfQuantitiesVo.setSubjectName(bill.getSubjectName());
        billOfQuantitiesVo.setSpec(bill.getSpec());
        billOfQuantitiesVo.setAuditAmount(bill.getAuditAmount());
        billOfQuantitiesVo.setAuditPrice(bill.getAuditPrice());
        billOfQuantitiesVo.setAuditMoney(bill.getAuditMoney());
        billOfQuantitiesVo.setSonSubjectCode(bill.getSonSubjectCode());
        billOfQuantitiesVo.setSonSubjectName(bill.getSonSubjectName());
        billOfQuantitiesVo.setFineSubjectName(bill.getFineSubjectName());
        billOfQuantitiesVo.setBillType(bill.getBillType());
        billOfQuantitiesVo.setPrice(bill.getPrice());
        billOfQuantitiesVo.setAmount(bill.getAmount());
        billOfQuantitiesVo.setMoney(bill.getMoney());
        return billOfQuantitiesVo;
    }
}
